<% 
    '1.1 Supported option definitions.
    '=========================================================================================================================================================
    Const OAK_Set_Input = 5301
    Const OAK_Set_Output = 5302
    Const OAK_Set_Callback = 5306
    Const OAK_Set_Color = 5309
    Const OAK_Set_DPI = 5310
    Const OAK_Set_Compress = 5311
    Const OAK_Set_Quality = 5312

    '1.2 Supported image formats.
    '=========================================================================================================================================================
    Const OAK_FILE_TIF = 105  'tiff format
    Const OAK_FILE_JPG = 106  'jpeg format
    Const OAK_FILE_BMP = 107  'bitmap format
    Const OAK_FILE_GIF = 108  'gif format
    Const OAK_FILE_PCX = 109  'pcx format
    Const OAK_FILE_PNG = 110  'png format
    Const OAK_FILE_EMF = 111  'emf format
    Const OAK_FILE_WMF = 112  'wmf format

    '1.3 TIFF compression definitions
    '=========================================================================================================================================================
    Const OAK_COMPRESSION_NONE = 1          '/* dump mode */
    Const OAK_COMPRESSION_RLE = 2           '/* CCITT modified Huffman RLE */
    Const OAK_COMPRESSION_G3 = 3            '/* CCITT Group 3 fax encoding */
    Const OAK_COMPRESSION_G4 = 4            '/* CCITT Group 4 fax encoding */
    Const OAK_COMPRESSION_LZW = 5           '/* Lempel-Ziv  & Welch */
    Const OAK_COMPRESSION_JPEG = 6          '/* %JPEG DCT compression */
    Const OAK_COMPRESSION_PACKBITS = 7      '/* Macintosh RLE */

    '1.4 Supported color depth
    '=========================================================================================================================================================
    Const oak_color_1 = 1    '2 colors
    Const oak_color_4 = 4    '16 colors
    Const oak_color_8_g = 7  '256 grayscale colors
    Const oak_color_8 = 8    '256 colors
    Const oak_color_24 = 24  'true colors
%>

<html>
<head><title>OakDoc - PS to Tiff SDK/COM ASP Demo!</title></head>
<body>
<%
  'PS to Tiff SDK/COM ASP Demo
  doMain()

  '------------------------------------------------------------------------------------------------
  sub doMain()
      isMultiPage = 1
      
      'Create com object.
      Set AxPStoIMAGE = Server.CreateObject("oakdoc.pstoimage")
      Response.write "Create COM object successful...<br>"
      
      '------------------------------------------------------------------------------------------------
      ' Convert one ps/eps file to true color bmp file.
      '------------------------------------------------------------------------------------------------
      id = AxPStoIMAGE.oakBegin()
      AxPStoIMAGE.oakSetOption id, OAK_Set_Input, 0, 0, "d:\\_test_01.ps", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_Output, OAK_FILE_BMP, 0, "d:\\mytest.bmp", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_DPI, 120, 120, "", ""
      iRet = AxPStoIMAGE.oakExport(id)
      AxPStoIMAGE.oakEnd id

      '------------------------------------------------------------------------------------------------
      ' Convert one ps/eps file to grayscale jpeg file.
      '------------------------------------------------------------------------------------------------
      id = AxPStoIMAGE.oakBegin()
      AxPStoIMAGE.oakSetOption id, OAK_Set_Input, 0, 0, "d:\\_test_02.eps", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_Output, OAK_FILE_JPG, 0, "d:\\mytest.jpeg", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_DPI, 120, 120, "", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_Color, oak_color_8_g, 0, "", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_Quality, 75, 0, "", ""
      iRet = AxPStoIMAGE.oakExport(id)
      AxPStoIMAGE.oakEnd id
      
      '------------------------------------------------------------------------------------------------
      ' Convert sevrial ps/eps files to a multi-page tiff file.
      '------------------------------------------------------------------------------------------------
      id = AxPStoIMAGE.oakBegin()
      AxPStoIMAGE.oakSetOption id, OAK_Set_Input, 0, 0, "d:\\_test_01.ps", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_Input, 0, 0, "d:\\_test_02.eps", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_Output, 0, isMultiPage, "d:\\mytest.tiff", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_DPI, 96, 96, "", ""
      AxPStoIMAGE.oakSetOption id, OAK_Set_Compress, OAK_COMPRESSION_LZW, 0, "", ""
      iRet = AxPStoIMAGE.oakExport(id)
      AxPStoIMAGE.oakEnd id
      
      Response.write "Conversion successful...<br>"
  end sub
  '------------------------------------------------------------------------------------------------
%>
</body>
</html>