unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, oakexport;

type
  TForm1 = class(TForm)
    btnDemo1: TButton;
    btnDemo2: TButton;
    btnDemo3: TButton;
    procedure btnDemo1Click(Sender: TObject);
    procedure btnDemo2Click(Sender: TObject);
    procedure btnDemo3Click(Sender: TObject);
  private
    { Private declarations }
    //SDK interface definitions.
    //For more,please refer to "oakexport.pas"
    //---------------------------------------------------------------------------
    hDLL: HMODULE;
    oakBegin: FoakBegin;
    oakEnd: FoakEnd;
    oakExport: FoakExport;
    oakSetOption: FoakSetOption;
    oakGetOption: FoakGetOption;

    function LoadDLL(): BOOL;  //Load dynamic link library "pstoimage.dll"
    function FreeDLL(): BOOL;  //free dynamic link library "pstoimage.dll"
    //----------------------------------------------------------------------------

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//------------------------------------------------------------------------------------------------------
// Load dynamic link library---pstoimage.dll
//------------------------------------------------------------------------------------------------------
function TForm1.LoadDLL(): BOOL;
var
   pFunc: FARPROC;
label
   ERR_FLAG;
begin
   hDLL := LoadLibrary('pstoimage.dll');
   if hDLL = 0 then
   begin
      Result := FALSE;
      exit;
   end;

	 pFunc := GetProcAddress(hDLL, '_oakBegin@0');
	 if pFunc = nil then goto ERR_FLAG;
   oakBegin := pFunc;

	 pFunc := GetProcAddress(hDLL, '_oakEnd@4');
	 if pFunc = nil then goto ERR_FLAG;
   oakEnd := pFunc;

	 pFunc := GetProcAddress(hDLL, '_oakExport@4');
	 if pFunc = nil then goto ERR_FLAG;
   oakExport := pFunc;

	 pFunc := GetProcAddress(hDLL, '_oakSetOption@24');
	 if pFunc = nil then goto ERR_FLAG;
   oakSetOption := pFunc;

	 pFunc := GetProcAddress(hDLL, '_oakGetOption@24');
	 if pFunc = nil then goto ERR_FLAG;
   oakGetOption := pFunc;

   Result := TRUE;
   exit;

ERR_FLAG:
   Result := FALSE;
end;

//------------------------------------------------------------------------------------------------------
// Free dynamic link library---pstoimage.dll
//------------------------------------------------------------------------------------------------------
function TForm1.FreeDLL(): BOOL;
begin
   if hDLL <> 0  then
   begin
      FreeLibrary(hDLL);
      hDLL := 0;
   end;
   Result := TRUE;
end;

//------------------------------------------------------------------------------------------------
// Convert one ps/eps file to true color bmp file.
//------------------------------------------------------------------------------------------------
procedure TForm1.btnDemo1Click(Sender: TObject);
var
	 id, iRet: Longint;
begin
   if LoadDLL() = FALSE then exit;

   id := oakBegin();
   oakSetOption(id, OAK_Set_Input, 0, 0, '_test_01.ps', 0);  //input file
   oakSetOption(id, OAK_Set_Output, OAK_FILE_BMP, 0, 'mytest.bmp', 0);  //input file
   oakSetOption(id, OAK_Set_DPI, 120, 120, 0, 0);   //horizontal and vertical dpi.
   iRet := oakExport(id);
   oakEnd(id);
   
   FreeDLL();
end;

//------------------------------------------------------------------------------------------------
// Convert one ps/eps file to grayscale jpeg file.
//------------------------------------------------------------------------------------------------
procedure TForm1.btnDemo2Click(Sender: TObject);
var
	 id, iRet: Longint;
begin
   if LoadDLL() = FALSE then exit;

   id := oakBegin();
   oakSetOption(id, OAK_Set_Input, 0, 0, '_test_02.eps', 0);  //input file
   oakSetOption(id, OAK_Set_Output, OAK_FILE_JPG, 0, 'mytest.jpeg', 0);  //input file
   oakSetOption(id, OAK_Set_DPI, 120, 120, 0, 0);   //horizontal and vertical dpi.
   oakSetOption(id, OAK_Set_Color, oak_color_8_g, 0, 0, 0);  //grayscale jpeg
   oakSetOption(id, OAK_Set_Quality, 75, 0, 0, 0);   //jpeg quality.
   iRet := oakExport(id);
   oakEnd(id);

   FreeDLL();
end;

//------------------------------------------------------------------------------------------------
// Convert sevrial ps/eps files to a multi-page tiff file.
//------------------------------------------------------------------------------------------------
procedure TForm1.btnDemo3Click(Sender: TObject);
var
	 id, iRet: Longint;
   isMultiPage: Longint;
begin
   if LoadDLL() = FALSE then exit;
   isMultiPage := 1;
   
   id := oakBegin();
   oakSetOption(id, OAK_Set_Input, 0, 0, '_test_01.ps', 0);  //input file
   oakSetOption(id, OAK_Set_Input, 0, 0, '_test_02.eps', 0);  //input file
   oakSetOption(id, OAK_Set_Output, OAK_FILE_TIF, isMultiPage, 'mytest.tiff', 0);  //input file
   oakSetOption(id, OAK_Set_DPI, 96, 96, 0, 0);   //horizontal and vertical dpi.
   oakSetOption(id, OAK_Set_Compress, OAK_COMPRESSION_LZW, 0, 0, 0); //tiff compression
   iRet := oakExport(id);
   oakEnd(id);

   FreeDLL();
end;

end.


