unit oakexport;

interface
uses
  Windows;

type
//SDK interface definitions
//======================================================================================================
  FoakBegin = function():Longint; stdcall;
  FoakEnd = procedure(id: Longint); stdcall;
  FoakExport = function(id: Longint):Longint; stdcall;
  FoakSetOption = function(id: Longint;
                           code: Longint;
                           nOptVal1: Longint;
                           nOptVal2: Longint;
                           pOptVal1: PChar;
                           pOptVal2: PChar): Longint; stdcall;
  FoakGetOption = function(id: Longint;
                           code: Longint;
                           nOptVal1: Longint;
                           nOptVal2: Longint;
                           pOptVal1: PChar;
                           pOptVal2: PChar): Longint; stdcall;
//======================================================================================================

const
//Supported option definitions
//======================================================================================================
  OAK_Set_Input = 5301;
  OAK_Set_Output = 5302;
  OAK_Set_Callback = 5306;
  OAK_Set_Color = 5309;
  OAK_Set_DPI = 5310;
  OAK_Set_Compress = 5311;
  OAK_Set_Quality = 5312;
//======================================================================================================


//Supported image formats
//======================================================================================================
  OAK_FILE_TIF = 105;  //tiff format
  OAK_FILE_JPG = 106;  //jpeg format
  OAK_FILE_BMP = 107;  //bmp format
  OAK_FILE_GIF = 108;  //gif format
  OAK_FILE_PCX = 109;  //pcx format
  OAK_FILE_PNG = 110;  //png format
  OAK_FILE_EMF = 111;  //emf format
  OAK_FILE_WMF = 112;  //wmf format
//======================================================================================================


//TIFF compression definitions
//======================================================================================================
  OAK_COMPRESSION_NONE     = 1;  //dump mode
  OAK_COMPRESSION_RLE      = 2;  //CCITT modified Huffman RLE
  OAK_COMPRESSION_G3       = 3;  //CCITT Group 3 fax encoding
  OAK_COMPRESSION_G4       = 4;  //CCITT Group 4 fax encoding
  OAK_COMPRESSION_LZW      = 5;  //Lempel-Ziv  & Welch
  OAK_COMPRESSION_JPEG     = 6;  //%JPEG DCT compression
  OAK_COMPRESSION_PACKBITS = 7;  //Macintosh RLE
//======================================================================================================


//Supported color depth
//======================================================================================================
  oak_color_1 = 1;    //2 colors
  oak_color_4 = 4;    //16 colors
  oak_color_8_g = 7;  //256 grayscale colors
  oak_color_8 = 8;    //256 colors
  oak_color_24 = 24;  //true colors
//======================================================================================================

implementation

end.
