//Supported option definitions
#define OAK_Set_Input		5301
#define OAK_Set_Output		5302
#define OAK_Set_Callback	5306
#define OAK_Set_Color		5309
#define OAK_Set_DPI			5310
#define OAK_Set_Compress	5311
#define OAK_Set_Quality		5312

//Supported image formats
#define OAK_FILE_TIF		105  /*tiff format*/
#define OAK_FILE_JPG		106  /*jpeg format*/
#define OAK_FILE_BMP		107  /*bmp format*/
#define OAK_FILE_GIF		108  /*gif format*/
#define OAK_FILE_PCX		109  /*pcx format*/
#define OAK_FILE_PNG		110  /*png format*/
#define OAK_FILE_EMF		111  /*emf format*/
#define OAK_FILE_WMF		112  /*wmf format*/

//TIFF compression definitions
#define OAK_COMPRESSION_NONE      1  /* dump mode */
#define OAK_COMPRESSION_RLE       2  /* CCITT modified Huffman RLE */
#define OAK_COMPRESSION_G3        3  /* CCITT Group 3 fax encoding */
#define OAK_COMPRESSION_G4        4  /* CCITT Group 4 fax encoding */
#define OAK_COMPRESSION_LZW       5  /* Lempel-Ziv  & Welch */
#define OAK_COMPRESSION_JPEG      6  /* %JPEG DCT compression */
#define OAK_COMPRESSION_PACKBITS  7  /* Macintosh RLE */

//Supported color depth
typedef enum {
    oak_color_1		= 1,		//2 color
    oak_color_4		= 4,		//16 color
    oak_color_8_g	= 7,		//256 grayscale color
    oak_color_8		= 8,		//256 color
    oak_color_24  =24		  //true color
} OAK_COLOR_DEPTH;

//SDK interface definitions
typedef long	(__stdcall *poakBegin)();
typedef void	(__stdcall *poakEnd)(long id);
typedef long	(__stdcall *poakExport)(long id); 
typedef long	(__stdcall *poakSetOption)(long id,long code,long nOptVal1,long nOptVal2,char *pOptVal1,char *pOptVal2);
typedef long	(__stdcall *poakGetOption)(long id,long code,long nOptVal1,long nOptVal2,char *pOptVal1,char *pOptVal2);

