Public Class Form1

    '1.1 SDK interface definitions.
    '==========================================================================================================================
    Private Declare Function oakBegin Lib "pstoimage.dll" Alias "_oakBegin@0" () As Integer
    Private Declare Sub oakEnd Lib "pstoimage.dll" Alias "_oakEnd@4" (ByVal id As Integer)
    Private Declare Function oakExport Lib "pstoimage.dll" Alias "_oakExport@4" (ByVal id As Integer) As Integer
    Private Declare Function oakSetOption Lib "pstoimage.dll" Alias "_oakSetOption@24" (ByVal id As Integer, ByVal code As Integer, ByVal nOptVal1 As Integer, ByVal nOptVal2 As Integer, ByVal sOptVal1 As String, ByVal sOptVal2 As String) As Integer
    Private Declare Function oakGetOption Lib "pstoimage.dll" Alias "_oakGetOption@24" (ByVal id As Integer, ByVal code As Integer, ByVal nOptVal1 As Integer, ByVal nOptVal2 As Integer, ByVal sOptVal1 As String, ByVal sOptVal2 As String) As Integer

    '1.2 Supported option definitions.
    '==========================================================================================================================
    Const OAK_Set_Input = 5301
    Const OAK_Set_Output = 5302
    Const OAK_Set_Callback = 5306
    Const OAK_Set_Color = 5309
    Const OAK_Set_DPI = 5310
    Const OAK_Set_Compress = 5311
    Const OAK_Set_Quality = 5312


    '1.3 Supported image formats.
    '==========================================================================================================================
    Const OAK_FILE_TIF = 105 'tiff format
    Const OAK_FILE_JPG = 106 'jpeg format
    Const OAK_FILE_BMP = 107 'bitmap format
    Const OAK_FILE_GIF = 108 'gif format
    Const OAK_FILE_PCX = 109 'pcx format
    Const OAK_FILE_PNG = 110 'png format
    Const OAK_FILE_EMF = 111 'emf format
    Const OAK_FILE_WMF = 112 'wmf format


    '1.4 TIFF compression definitions
    '==========================================================================================================================
    Const OAK_COMPRESSION_NONE = 1          '/* dump mode */
    Const OAK_COMPRESSION_RLE = 2           '/* CCITT modified Huffman RLE */
    Const OAK_COMPRESSION_G3 = 3            '/* CCITT Group 3 fax encoding */
    Const OAK_COMPRESSION_G4 = 4            '/* CCITT Group 4 fax encoding */
    Const OAK_COMPRESSION_LZW = 5           '/* Lempel-Ziv  & Welch */
    Const OAK_COMPRESSION_JPEG = 6          '/* %JPEG DCT compression */
    Const OAK_COMPRESSION_PACKBITS = 7      '/* Macintosh RLE */


    '1.5 Supported color depth
    '==========================================================================================================================
    Const oak_color_1 = 1    '2 colors
    Const oak_color_4 = 4    '16 colors
    Const oak_color_8_g = 7  '256 grayscale colors
    Const oak_color_8 = 8    '256 colors
    Const oak_color_24 = 24  'true colors


    '------------------------------------------------------------------------------------------------
    ' Convert one ps/eps file to true color bmp file.
    '------------------------------------------------------------------------------------------------
    Private Sub btnDemo1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDemo1.Click
        Dim id, iRet As Long

        id = oakBegin()
        If (id <> 0) Then
            oakSetOption(id, OAK_Set_Input, 0, 0, "_test_01.ps", 0)  'input file.
            oakSetOption(id, OAK_Set_Output, OAK_FILE_BMP, 0, "mytest.bmp", 0) 'output format and file.
            oakSetOption(id, OAK_Set_DPI, 120, 120, 0, 0)  'horizontal and vertical dpi.
            iRet = oakExport(id)
            oakEnd(id)
        End If
    End Sub

    '------------------------------------------------------------------------------------------------
    ' Convert one ps/eps file to grayscale jpeg file.
    '------------------------------------------------------------------------------------------------
    Private Sub btnDemo2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDemo2.Click
        Dim id, iRet As Long

        id = oakBegin()
        If (id <> 0) Then
            oakSetOption(id, OAK_Set_Input, 0, 0, "_test_02.eps", 0)   'input file.
            oakSetOption(id, OAK_Set_Output, OAK_FILE_JPG, 0, "mytest.jpeg", 0)   'output format and file.
            oakSetOption(id, OAK_Set_DPI, 120, 120, 0, 0)   'horizontal and vertical dpi.
            oakSetOption(id, OAK_Set_Color, oak_color_8_g, 0, 0, 0)   'grayscale jpeg
            oakSetOption(id, OAK_Set_Quality, 75, 0, 0, 0)   'jpeg quality.
            iRet = oakExport(id)
            oakEnd(id)
        End If
    End Sub

    '------------------------------------------------------------------------------------------------
    ' Convert sevrial ps/eps files to a multi-page tiff file.
    '------------------------------------------------------------------------------------------------
    Private Sub btnDemo3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDemo3.Click
        Dim id, iRet As Long
        Dim isMultiPage As Long

        isMultiPage = 1
        id = oakBegin()
        If (id <> 0) Then
            oakSetOption(id, OAK_Set_Input, 0, 0, "_test_01.ps", 0)   'input file
            oakSetOption(id, OAK_Set_Input, 0, 0, "_test_02.eps", 0)   'input file
            oakSetOption(id, OAK_Set_Output, OAK_FILE_TIF, isMultiPage, "mytest.tiff", 0)   'multi-page tiff
            oakSetOption(id, OAK_Set_DPI, 96, 96, 0, 0)   'horizontal and vertical dpi
            oakSetOption(id, OAK_Set_Compress, OAK_COMPRESSION_LZW, 0, 0, 0)   'tiff compression
            iRet = oakExport(id)
            oakEnd(id)
        End If
    End Sub
End Class
